Bug 260352 - JJ: Removing all items from a filtered list doesn't display the filtered items warning
Summary: JJ: Removing all items from a filtered list doesn't display the filtered item...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.6-git
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2010-12-17 10:19 UTC by Ben Cooksley
Modified: 2013-02-03 19:12 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Cooksley 2010-12-17 10:19:15 UTC
Version:           2.4-GIT (using Devel) 
OS:                Linux

When you filter all items in Amarok, a warning notice is shown that "tracks have been hidden in the playlist". However, if you filter, and then delete all results of that filter from the playlist, this warning is not shown

Reproducible: Always

Steps to Reproduce:
1. Set a filter
2. Remove all matches


Actual Results:  
No warning shown

Expected Results:  
Warning shown as is if all results are filtered away
Comment 1 Ralf Engels 2011-05-16 20:14:49 UTC
Pending fix for this problem https://git.reviewboard.kde.org/r/100928/
Comment 2 Myriam Schweingruber 2012-02-28 09:13:47 UTC
Bump target. Nikhil, any news about this patch?
Comment 3 Myriam Schweingruber 2012-10-21 11:57:01 UTC
Bump version, Nikhil, still waiting for you to react on the reviewboard issue
Comment 4 Ralf Engels 2013-02-03 19:12:29 UTC
Git commit 3ea0a0cc4320a9bd54e7ce44425fd6a0022ca20a by Ralf Engels.
Committed on 03/02/2013 at 20:00.
Pushed by rengels into branch 'master'.

Fix Removing all items from a filtered list doesn't display warning

Remove the special warning label widget in the ProgressiveSearchWidget.
Widgets that are dynamically hidden and shown wreck havoc with layouts.
Instead the PrettyListView displays a label in cases it's completely
empty.
FIXED-IN: 2.8

M  +3    -0    ChangeLog
M  +0    -21   src/playlist/ProgressiveSearchWidget.cpp
M  +0    -4    src/playlist/ProgressiveSearchWidget.h
M  +32   -6    src/playlist/view/listview/PrettyListView.cpp
M  +5    -0    src/playlist/view/listview/PrettyListView.h

http://commits.kde.org/amarok/3ea0a0cc4320a9bd54e7ce44425fd6a0022ca20a